Announcement

Collapse
No announcement yet.

hd5770 and vaapi

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Kano
    replied
    Well fglrx 10-6 can crash xbmc with one of my testfiles. Lets see if 10-7 fixes that issue.

    Leave a comment:


  • Dandel
    replied
    XBMC is not just theoretically fixed on ati cards, it is fixed as long as you are using the latest dharma branch or latest subversion branch... Right now i'm actually looking for the last few bugs which appear on the radeon cards and getting that fixed.

    also, the need for VAAPI is not about cpu speed, but more about the transfer rates that are experienced on the system memory. For example, an Athlon 64x2 (Manchester, s939 and ddr memory) will require most of it's processing power to decode a 720p video. However, if you look at the Athlon II x4 630 (AM3, ddr3 memory), the system is able to decode the same 720p video while remaining at the lowest speed setting.

    and if your wanting to use the glsl on ati cards along with other updates on ubuntu 10.04, the easy fix is to use the xbmc svn repository on launchpad. ( https://launchpad.net/~team-xbmc-svn )

    also, temporarely disable vaapi support on xbmc via the video playback options located at (Main menu) -> system -> settings -> video -> playback.

    Right now the best option is to disable all hardware acceleration and to not sync the playback to the display.

    Leave a comment:


  • Kano
    replied
    Native Linux games should work, when they have been tested on ATI cards before release. There have been serveral hacks needed in the past like for nexuiz or vdrift which have been added a bit later. Also xbmc + opengl rendering is in theory fixed now. When your cpu is fast enough then you dont need vaapi - at least not for downloaded hd content.

    Leave a comment:


  • ungoliant
    replied
    I'm giving my card one more release before thinking in selling it. I've heard about VLC getting accelerated video playback with catalyst 10.7 on Windows... Let's hope something for Linux is also coming.

    If I can't get decent video playback, and the three games I only play on Linux do not work with my ati, i'm really selling it... too sad, since it really performs well on Windows.

    Leave a comment:


  • Kano
    replied
    When you think of how long it took to fix only h264 l4.1 playback - wrong colors - then you better sell your card and get a gtx 460 now or a gts 450 later.

    Leave a comment:


  • ihavoc
    replied
    thanks for that dreaded answer
    atleast I know it wasn't me

    anyway is the reason the ati drivers or the vaapi drivers?
    also why do you think it will take so long

    Thanks
    greg

    Leave a comment:


  • emergence
    replied
    Originally posted by Kano View Post
    Thats the normal output with hd 5 series. Don't expect this to be fixed in this decade
    +1 for 'Don't expect this to be fixed in this decade'.

    Leave a comment:


  • Kano
    replied
    Thats the normal output with hd 5 series. Don't expect this to be fixed in this decade

    Leave a comment:


  • ihavoc
    started a topic hd5770 and vaapi

    hd5770 and vaapi

    Hello, I am having an issue with vaapi on my hd5770 card. I can not get normal playback, playback is always corrupted.

    I am running ubuntu 10.04 64 bit with currently 10.6 fglrx driver. I have also installed libva1_0.31.1-1+sds4_amd64.deb, libva-dev_0.31.1-1+sds4_amd64.deb and xvba-video_0.7.2-1_amd64.deb installed.

    below is what playback looks like for an mkv file. I have tried multiple mkv files on mplayer-vaapi and xbmc with vaapi and get same exact corruption on both.
    Any help would be greatly appreciated. Thanks

    Code:
    vainfo
    libva: libva version 0.31.1-sds1
    Xlib:  extension "XFree86-DRI" missing on display ":0.0".
    libva: va_getDriverName() returns 0
    libva: Trying to open /usr/lib/va/drivers/fglrx_drv_video.so
    libva: va_openDriver() returns 0
    vainfo: VA API version: 0.31
    vainfo: Driver version: Splitted-Desktop Systems XvBA backend for VA API - 0.7.2
    vainfo: Supported profile and entrypoints
          VAProfileMPEG2Simple            :	VAEntrypointIDCT
          VAProfileMPEG2Main              :	VAEntrypointIDCT
          VAProfileH264High               :	VAEntrypointVLD
          VAProfileVC1Advanced            :	VAEntrypointVLD


Working...
X